import requests
import json
import pandas as pd
import numpy as np
import pytimber
ldb = pytimber.LoggingDB()
import utils as u


class Signal(object):
    
    def __init__(self, name={}, startTime=0, endTime=0, value=0, time=0, unit={}):
        self.Name = name
        self.StartTime = startTime
        self.EndTime = endTime
        self.Value = value
        self.Time = time
        self.Unit = unit
        
    def getSignalDF(self):
        """ Function is returning DF with signals """
        signalDF = self.getSignal(self.Name[0])
        for s in range(1,len(self.Name)):
            newFrame = self.getSignal(self.Name[s])
            signalDF = pd.concat([signalDF, newFrame], axis=1)
        return signalDF
        
    def getSignal(self, name):
        """ Function is returning DF with one signal """
        d = ldb.get(name, self.StartTime, self.EndTime)  
        
        self.Time = d.get(name)[0]
        self.Value = d.get(name)[1]
        
        frame = pd.DataFrame(self.Value, self.Time, [name])     
        return frame
        