from ipywidgets import Layout, Box, Label, IntSlider
import functools

from ...gui.BaseModule import BaseModule
from ...gui.quench_heater.QhBrowserAction import QhBrowserAction


class QhSliderBaseModule(BaseModule):
    def __init__(self):
        # slider label
        self.label_qh = Label(value="Move slider to select a cell for quench heater signals",
                              layout=Layout(width='25%'))

        # slider
        self.slider_qh = IntSlider(
            value=0, min=0, step=1,
            disabled=False, continuous_update=False,
            orientation='horizontal',
            readout=True, readout_format='d',
            layout=Layout(width='25%')
        )
        self.slider_qh.observe(functools.partial(QhSliderBaseModule.on_slider_qh_move, self=self), names='value')

        self.widget = Box(children=[self.label_qh, self.slider_qh])

    @staticmethod
    def on_slider_qh_move(change, self):
        self.mediator.notify(self, QhBrowserAction.SLIDER_MOVED)

    def get_value(self):
        return self.slider_qh.value

    def show(self):
        self.widget.layout.visibility = 'visible'

    def hide(self):
        self.widget.layout.visibility = 'hidden'